import { Schema } from "mongoose";

export interface IMetaData {
    projectId: string,
    type: string,
    name: string,
    description?: string,
    defaultValue?: string,
}

const MetaDataSchema = new Schema<IMetaData>({
    projectId: {
        type: String,
        required: true
    },
    type: {
        type: String,
        required: true
    },
    name: {
        type: String,
        required: true
    },
    description: String,
    defaultValue: String
});

export const MetaData = MetaDataSchema;